name: dope_wars_2026
description: A Dope Wars-style mobile game. Buy low, sell high, don't get caught.
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  # State management - Riverpod is like a smarter Provider
  flutter_riverpod: ^2.4.9
  riverpod: ^2.4.9

  # Save game locally on the device
  shared_preferences: ^2.2.2

  # Google Fonts for that stylish look
  google_fonts: ^6.1.0

  # Smooth animations
  flutter_animate: ^4.3.0

  # Generate unique IDs for transactions
  uuid: ^4.2.2

  # Format numbers like $1,234,567
  intl: ^0.19.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.0

flutter:
  uses-material-design: true
